%figure(1); clf
OFFS = 0;
SCALE = 50-OFFS;
Ncont = 20;
cc = 'colormap(flipud(hot))';

xr = [-1 1];
yr = [-1 1];

image(xr,yr,OFFS+SCALE*(1-fm1));
hold on;
plot(x(:,1),x(:,2),'b.','markersize',15);
plot(v(:,1),v(:,2),'r+','linewidth',3,'markersize',10);
contour(xx,yy,fm1,Ncont,'m');
hold off
eval(cc); axis('square');
set(gca,'xticklabel',[],'yticklabel',[])
set(gca,'xtick',[],'ytick',[])
xlabel('x','fontname','times','fontsize',14); 
ylabel('y','fontname','times','fontsize',14);